# Enum MessageDigest

java.lang.Object
java.lang.Enum<MessageDigest>
org.apache.tomcat.util.net.openssl.ciphers.MessageDigest

All Implemented Interfaces:
  `Serializable, Comparable<MessageDigest>, java.lang.constant.Constable`

public enum MessageDigest extends Enum<MessageDigest>
Supported message digest algorithms.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AEAD`
  AEAD digest.
  `GOST89MAC`
  GOST89MAC digest.
  `GOST94`
  GOST94 digest.
  `MD5`
  MD5 digest.
  `SHA1`
  SHA1 digest.
  `SHA256`
  SHA256 digest.
  `SHA384`
  SHA384 digest.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MessageDigest`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MessageDigest[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MD5

    public static final MessageDigest MD5
    MD5 digest.

  - ### SHA1

    public static final MessageDigest SHA1
    SHA1 digest.

  - ### GOST94

    public static final MessageDigest GOST94
    GOST94 digest.

  - ### GOST89MAC

    public static final MessageDigest GOST89MAC
    GOST89MAC digest.

  - ### SHA256

    public static final MessageDigest SHA256
    SHA256 digest.

  - ### SHA384

    public static final MessageDigest SHA384
    SHA384 digest.

  - ### AEAD

    public static final MessageDigest AEAD
    AEAD digest.

- ## Method Details

  - ### values

    public static MessageDigest[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MessageDigest valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null